Bug 51923 - Update port: math/oleo
Summary: Update port: math/oleo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-07 15:40 UTC by tkato
Modified: 2003-07-19 05:56 UTC (History)
0 users

See Also:


Attachments
file.diff (515 bytes, patch)
2003-05-07 15:40 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-05-07 15:40:15 UTC
- Fix build
Comment 1 Maho Nakata freebsd_committer 2003-05-10 04:16:10 UTC
Hi, KATO-san
This is Maho.

I checked you submission and still fails with 5.1-BETA.
Would you please fix it, or leave it as it is?
--
Making all in src
/bin/sh ./ylwrap "bison -y" parse.y y.tab.c parse.c y.tab.h parse.h --  -d
cc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I. -I../lib -I../intl
-I/usr/local/include -I/usr/X11R6/include  -O -pipe -pipe -O2
-mcpu=pentiumpro -march=pentiumpro -mcpu=pentiumpro
-DLOCALEDIR=\"/usr/local/share/locale\" -I/usr/X11R6/include
-DBUILD_PREFIX='"'/usr/local'"' -c parse.c
In file included from parse.y:54:
global.h:211: conflicting types for `__nan'
/usr/include/math.h:33: previous declaration of `__nan'
*** Error code 1

Stop in /work/FreeBSD/ports/math/oleo/work/oleo-1.99.16/src.
*** Error code 1

Stop in /work/FreeBSD/ports/math/oleo/work/oleo-1.99.16.
*** Error code 1

Stop in /work/FreeBSD/ports/math/oleo/work/oleo-1.99.16.
*** Error code 1
Comment 2 Pete Fritchman freebsd_committer 2003-05-19 00:32:08 UTC
State Changed
From-To: open->analyzed

Could you look into making this work on -current?
Comment 3 Maho Nakata freebsd_committer 2003-07-19 05:54:53 UTC
State Changed
From-To: analyzed->closed

Another fixitation by changing definition 
from __nan to ___nan. quite ad hoc, but unbreak this port. 
Committed, thanks!